aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-eventlet/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-03-08 18:48:48 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-03-11 14:07:24 +0000
commit4f85ce67550ff334d59182572a420e60f46808b3 (patch)
tree79129e4e5f9da474d7ed9359677c14e7fc5da8bc /testing/py-eventlet/APKBUILD
parentfbab3136c5c53e9764312b789fcf1922762c04ff (diff)
downloadaports-4f85ce67550ff334d59182572a420e60f46808b3.tar.gz
aports-4f85ce67550ff334d59182572a420e60f46808b3.tar.bz2
aports-4f85ce67550ff334d59182572a420e60f46808b3.tar.xz
testing/py-eventlet: upgrade 0.12.0
Diffstat (limited to 'testing/py-eventlet/APKBUILD')
-rw-r--r--testing/py-eventlet/APKBUILD17
1 files changed, 10 insertions, 7 deletions
diff --git a/testing/py-eventlet/APKBUILD b/testing/py-eventlet/APKBUILD
index aaacadaae8..6f46eea4b4 100644
--- a/testing/py-eventlet/APKBUILD
+++ b/testing/py-eventlet/APKBUILD
@@ -1,25 +1,28 @@
# Maintainer: Elizabeth Jennifer Myers <elizabeth@sporksirc.net>
# Contributor: Elizabeth Jennifer Myers <elizabeth@sporksirc.net>
pkgname=py-eventlet
-pkgver=0.9.16
-pkgrel=1
+_pkgname=eventlet
+pkgver=0.12.0
+pkgrel=0
pkgdesc="Python library for seamless coroutine-based concurrency"
url="http://eventlet.net/"
arch="noarch"
license="MIT"
depends="python py-greenlet"
makedepends="python-dev py-setuptools"
-source="http://pypi.python.org/packages/source/e/eventlet/eventlet-${pkgver}.tar.gz"
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
-_builddir="$srcdir"/eventlet-$pkgver
+_builddir="$srcdir"/$_pkgname-$pkgver
build ()
{
cd "$_builddir"
- python setup.py build
+ python setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir"
+ python setup.py install --root "$pkgdir" || return 1
}
-md5sums="4728e3bd7f72763c1e5dccac0296f8ea eventlet-0.9.16.tar.gz"
+md5sums="6cfd34f287f78d64a3c5c43c66c4bd33 eventlet-0.12.0.tar.gz"
+sha256sums="157316a57f5ff28825564f5b2463ce9e2827726f466613d5e5d639bc5aedfb86 eventlet-0.12.0.tar.gz"
+sha512sums="1c9f9dad59f3aed228b553c0310cf15c78066a52cc0cda7ea3e35d0d19c9a1d1992e3e0717755402e46c091e81d9cc200cf60093dffb480cf5d4aac4bc16837d eventlet-0.12.0.tar.gz"